Subject: Re: [netatalk-admins] Documentation

From: "Stefan Bethke" <[email-masked]>
Date: Fri, 23 Jan 1998 17:46:41 +0100

--On Fre, 23. Jan 1998 9:04 Uhr -0500 "Robert J. Marinchick"
<[email-masked]> wrote: 
>   'getzones' and 'nbplkup' work correctly, but when I try to test 'pap',
>   I get the following error with the following command: .paprc is dfined
>   
>   /usr/local/atalk/bin/pap netatalk.html
>   
>   Trying 3072.132:158 ...
> status: busy; source: APPLETALK
> Connected to printer_l1:LaserWriter@AAL-West Grounds.
> %%[ Error: syntaxerror; OffendingCommand: h ]%%
> %%[ Flushing: rest of job (to end-of-file) will be ignored ]%%
> Connection closed.
> 
> Obviously, I'm missing something - like - how netatalk should work.

Yep, pap is working correctly: it's your PostScript printer that doesn't
know how to do HTML. Send PostScript instead.

pap simply sends the job to the printer, but does no conversion to whatever
the printer might require (i. E. ps). Use psf to convert non-PostScript data
to PostScript.

For a quick test, you can send this PostScript program:

/Helvetica findfont 12 scalefont setfont
72 72 moveto
(Just a test...) show
showpage
^D

Stefan

--
Stefan Bethke
Promo Datentechnik      |  Tel. +49-40-851744-18
+ Systemberatung GmbH   |  Fax. +49-40-851744-44
Eduardstrasse 46-48     |  e-mail: [email-masked]
D-20257 Hamburg         |  http://www.Promo.DE/